Package org.eclipse.birt.report.model.api

# Interface IDesignEngineFactory

All Known Implementing Classes:
  `DesignEngineFactory`

public interface IDesignEngineFactory
Factory class to create an instance of DesignEngine

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_DESIGN_ENGINE_FACTORY`
The extension point used to create the factory object.

## Method Summary

Modifier and Type
Method
Description
`IDesignEngine`
`createDesignEngine(DesignConfig config)`
Creates a new design engine object.

## Field Details

### EXTENSION_DESIGN_ENGINE_FACTORY

static final String EXTENSION_DESIGN_ENGINE_FACTORY
The extension point used to create the factory object.

See Also:
  - `Platform.createFactoryObject(String)`
  - Constant Field Values

## Method Details

### createDesignEngine

IDesignEngine createDesignEngine(DesignConfig config)
Creates a new design engine object.

Parameters:
  `config` - the given design config
Returns:
  the design engine object